{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load custom_tags %}


{% block extra_style_block %}
    {{block.super}}

    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }

        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .col-cust-add.col-business-add{
          padding: 15px 15px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
          margin: 0 2% 0;
        }
        .col-cust-add.col-business-add span{
          padding: 5px 8px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
        .export {
            float: right; background-color: black; margin-bottom: 10px;border: 0;border-radius: 4px;
        }
        .back-list {
            margin-top: 0;
            font-size: 28px;
            font-weight: 500;
        }
    </style>
{% endblock %}


{% block content %}
    <form class="from-horizontal" method="post">
        {% csrf_token %}
        <div class="row">
            <div class="col-xs-6 col-sm-6 col-md-6">
                <!--<span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>-->
                <h1 class="back-list">Stock Register</h1>
            </div>
            <div class="col-xs-6 col-sm-6 col-md-6">
                <button type="submit" name="export" class="export">Export</button>
            </div>
        </div>
    </form>
    <section class="content-header col-content">
        <div class="row">
            <div class="col-xs-6 col-sm-6 col-md-6 col-customer">
                <!--<span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>-->
                <!--<h1 class="back-list">Stock Register</h1>-->
                <div class="search-container">
                    <form method="GET">
                        From: <input class="form-control txt-search" value="{{from_date}}"
                               type="date" placeholder="Search..." name="from_date">
                        To: <input class="form-control txt-search" value="{{to_date}}"
                               type="date" placeholder="Search..." name="to_date">
                        <button class="btn-search" type="submit">
                            <i class="fa fa-search"></i>
                        </button>
                    </form>
                </div>
            </div>

            <div class="col-xs-6 col-sm-6 col-md-6">
                <div class="row">
                    <address class="col-cust-add col-business-add">
                        {% for item in category %}
                        <span style="background-color: #00c0ef;border-color: #00acd6;">
                            {% if forloop.counter == 1 %}
                            Category: {{item}}
                            {% elif forloop.counter > 1 %}
                            Sub-Category{{forloop.counter|has_category}} :  {{item}}
                            {% endif %}
                        </span>
                        {% endfor %}
                        <span style="background-color: #00c0ef;border-color: #00acd6;">
                            Sellable Stock: {{stock_in|stringformat:"d"}}
                        </span>
                        <span style="background-color: #00a65a;border-color: #008d4c;">
                            Stock Out: {{stock_out|stringformat:"d"}}
                        </span>
                        <span>
                            Available Stock: {{stock_available|stringformat:"d"}}
                        </span>
                    </address>
                </div>
                <!-- <div class="row" style="margin: 0;">
                    <div class="search-container text-right">
                        <form class="search-form">
                            <input class="form-control txt-search" value="{{search}}" type="text" placeholder="Search.." name="search">
                            <button class="btn-search" type="submit">
                                <i class="fa fa-search"></i>
                            </button>
                        </form><br>
                    </div>
                </div> -->
            </div>
        </div>
    </section>

    <section>
        <table class="table table table-bordered">
            <thead>
                <tr>
                    <!--<th>SKU Code</th>-->
                    <th>Date</th>
                    <th>Stock-In</th>
                    <th>Stock-Out</th>
                    <th>Stock Type</th>
                    <th>Stock Action</th>
                    <th>Order NO.</th>
                    <!--<th>Reference</th>-->

                </tr>
            </thead>
            <tbody id="dataTable">
            {% if stocks|length > 0 %}
                {% for stock in stocks %}
                <tr>
                    <!--<td>{{stock.product}}</td>-->
                    <td>{{stock.created_on|date}}</td>
                    <td>{{stock.stock_in|stringformat:"d"}}</td>
                    <td>{{stock.stock_out|stringformat:"d"}}</td>
                    <td>
                        {% if stock.stock_type == 'Sellable' %}
                        {{stock.stock_type}}
                        {% elif stock.stock_type == 'NonSellable' %}
                        Non Sellable
                        {% else %}
                        ---
                        {% endif %}
                    </td>
                    <td>
                        {% if stock.stock_type == 'stock_out' %}
                            Stock Out
                        {% else %}
                            Stock Imported
                        {% endif %}
                    </td>
                    <td>
                        {% if stock.order_number %}
                            <a href="/user/stock-order-detail/{{stock.order_number}}" target="_blank">
                                {{stock.order_number}}
                            </a>
                        {% else %}
                            {{stock.order_number|default:"NA"}}
                        {% endif %}
                    </td>
                    <!--<td>{{stock.reference|default:"NA"}}</td>-->

                </tr>
                {% endfor %}
            {% else %}
                <tr>
                    <td colspan="7" style="text-align:center;">Data not available</td>
                </tr>
            {% endif %}
            </tbody>
        </table>

        <div class="row" style="margin: 0;">
            {% if stocks.has_other_pages %}
                <ul class="pagination col-pagination pg-blue pull-right">
                    {% if stocks.has_previous %}
                        <li class="page-item">
                            <a class="page-number" href="?page={{ stocks.previous_page_number }}"
                               aria-label="Previous">&laquo;</a>
                        </li>
                    {% else %}
                        <li class="page-item disabled">
                            <a class="page-link" href=""><span>&laquo;</span></a>
                        </li>
                    {% endif %}

                    {% for i in stocks.paginator.page_range %}
                        {% if stocks.number == i %}
                            <li class="page-item active">
                                <a class="page-link" href="#">{{ i }}</a>
                            </li>
                        {% else %}
                            <li class="page-item">
                                <a class="page-link" href="?page={{ i }}">{{ i }}</a>
                            </li>
                        {% endif %}
                    {% endfor %}

                    {% if stocks.has_next %}
                        <li class="page-item">
                            <a class="page-number" href="?page={{ stocks.next_page_number }}">&raquo;</a>
                        </li>
                    {% endif %}
                </ul>
            {% endif %}
        </div>
    </section>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script>
        $(document).ready(function(){
            // ...
        });
    </script>
{% endblock %}
